> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/business-profile/tin-verification.md).

# TIN Verification

This API retrieves and verifies business information using a valid Taxpayer Identification Number (TIN). It provides key details such as registration status, registration date, associated PAN, owner information, and business address, enabling efficient business verification and compliance checks.

## tin\_verification

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/tin_verification`

#### Sample Request Body

<table><thead><tr><th width="167">Body</th><th width="148">Type</th><th>Mandatory</th><th width="217">Description</th></tr></thead><tbody><tr><td>tinNumber</td><td>string</td><td>Yes</td><td>TIN Number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "tinNumber": "07640352230"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "bed41e00-304f-4c84-a807-d3a71fe3f553",
    "status": "completed",
    "result": {
        "cstStatus": "",
        "pan": "",
        "status": "Registered",
        "ownerName": "",
        "splitAddress": {
            "district": [],
            "state": [],
            "city": [],
            "pincode": "",
            "country": [],
            "addressLine": ""
        }
    },
    "requested_at": "2026-06-04T05:38:53.350Z",
    "completed_at": "2026-06-04T05:38:53.903Z"
}
```

{% endtab %}

{% tab title="200 : In progress" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "d1bbfb97-c82f-475d-b666-07e7b258f3da",
    "status": "in_progress",
    "requested_at": "2026-06-04T05:38:35.213Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid TIN Number format",
    "error": {
        "message": "Invalid TIN Number format",
        "field": "tinNumber",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "TIN Number should not be empty",
    "error": {
        "message": "TIN Number should not be empty",
        "field": "tinNumber",
        "code": "BAD_REQUEST"
    }
}


```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
   "error":{
      "name":"error",
      "message":"tinNumber is not found",
      "status":404,
      "statusCode":404
   }
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/tin_verification`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "bed41e00-304f-4c84-a807-d3a71fe3f553",
    "status": "completed",
    "result": {
        "cstStatus": "",
        "pan": "",
        "status": "Registered",
        "ownerName": "",
        "splitAddress": {
            "district": [],
            "state": [],
            "city": [],
            "pincode": "",
            "country": [],
            "addressLine": ""
        }
    },
    "requested_at": "2026-06-04T05:38:53.350Z",
    "completed_at": "2026-06-04T05:38:53.903Z"
}
```

{% endtab %}

{% tab title="200: In progress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "d1bbfb97-c82f-475d-b666-07e7b258f3da",
    "status": "in_progress",
    "requested_at": "2026-06-04T05:38:35.213Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
   "error":{
      "name":"error",
      "message":"tinNumber is not found",
      "status":404,
      "statusCode":404
   }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/business-profile/tin-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
